Bug 137352 - yum terminates immediately with no error message
Summary: yum terminates immediately with no error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-27 18:12 UTC by Phil Schaffner
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 19:25:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Schaffner 2004-10-27 18:12:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
After rawhide update and population of /etc/yum.repos.d/ by
fedora-release-3-rawhide package, yum terminates immediately with no
error message, regardless of debug level specified.  Replacing the
previously-working /etc/yum.conf with /etc/yum.conf.rpmnew (and
preferably editing .repo file[s] to specify your favorite
"baseurl[s]") makes yum functional again.

Version-Release number of selected component (if applicable):
yum-2.1.10-3

How reproducible:
Always

Steps to Reproduce:
1. yum update
2. Note lack of effect
3.
    

Actual Results:  Immediate return with no error message.

Expected Results:  Updates should still work with a previously-working
yum.conf present, or at least return an informative error message.

Additional info:

Comment 1 Seth Vidal 2004-10-27 18:15:44 UTC
the exitting w/o a message is a bug. And it's been fixed in cvs.

However,
 you need to fix your config file. B/t the /etc/yum.conf and the
entries in /etc/yum.repos.d/*.repo

you have a duplicate repository name.


Comment 2 Phil Schaffner 2004-10-27 20:34:00 UTC
Don't see "resolution/CVS" as an option below, so will close this when
it gets to "RAWHIDE".

Replacing yum.conf with yum.conf.rpmnew and editing fedora-devel.repo
to point to my favorite repository, as hinted at above, fixed the
duplicate entries for [development].  Thanks.

Still seems like this update procedure will break user's
configurations on FC2-FC3 upgrades.  Perhaps yum.conf should be
replaced, perhaps with a version with a few more comments on migrating
to the yum.repos.d paradigm, and the original moved to
yum.conf.rpmsave with a warning message.

Comment 3 Seth Vidal 2004-11-01 19:25:59 UTC
resolving as rawhide.



Note You need to log in before you can comment on or make changes to this bug.